## apport 2.20.11-0ubuntu27.20

=== debian/changelog ===
apport (2.20.11-0ubuntu27.20) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read (LP: #1934308)
    - data/general-hooks/ubuntu.py: don't attempt to include emacs
      byte-compilation logs, they haven't been generated by the emacs
      packages in a long time.
    - CVE-2021-3709
  * SECURITY UPDATE: Info disclosure via path traversal (LP: #1933832)
    - apport/hookutils.py, test/test_hookutils.py: detect path traversal
      attacks, and directory symlinks.
    - CVE-2021-3710

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Aug 2021 10:30:01 -0400

apport (2.20.11-0ubuntu27.18) focal-security; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.11-0ubuntu27.17) focal; urgency=medium

  * data/general-hooks/ubuntu.py: tag bugs from Raspberry Pi images and RISCV
    images appropriately. (LP: #1920837)
  * apport/hookutils.py: spawn pkttyagent so that log files can be gathered as
    root in a non-graphical environment (LP: #1821415). Thanks to Iain Lane
    for the patch.
  * apport/hookutils.py: root access is needed to read the
    casper-md5check.json file so switch to using that. (LP: #1922937)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Apr 2021 13:28:49 -0700

apport (2.20.11-0ubuntu27.16) focal-security; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2021 07:21:46 -0500

apport (2.20.11-0ubuntu27.14) focal; urgency=medium

  * data/apport: only drop supplemental groups if the user is root. (LP: #1906565)

 -- Brian Murray <brian@ubuntu.com>  Thu, 03 Dec 2020 09:26:27 -0800

apport (2.20.11-0ubuntu27.13) focal; urgency=medium

  * data/apport: Modify the check for whether or not a process is running in
    the same namespace so that crashes from processes running protected in the
    system.slice are considered as being from the same namespace. (LP: #1870060)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Nov 2020 14:40:03 -0800

apport (2.20.11-0ubuntu27.12) focal-security; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Nov 2020 15:03:57 -0500

apport (2.20.11-0ubuntu27.11) focal; urgency=medium

  * data/apport: In the event that the crashing executable does not exist on
    disk any more the path name of the executable (passed by core) is appended
    with '(deleted)' because apport is currently using sys.argv for argument
    parsing there end up being too many arguments and apport crashes. This is
    fixed by adding handling for six arguments. (LP: #1899195)

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Oct 2020 13:30:49 -0700

apport (2.20.11-0ubuntu27.10) focal; urgency=medium

  * apport/hookutils.py: call dump_acpi_tables.py with root_command_output
    thereby avoiding a PermissionError. (LP: #1895865)
  * data/dump_acpi_tables.py: If the user cannot read the acpi tables don't
    try and print them. (LP: #1895865)

 -- Brian Murray <brian@ubuntu.com>  Mon, 28 Sep 2020 08:47:49 -0700

apport (2.20.11-0ubuntu27.9) focal; urgency=medium

  [ YC Cheng ]
  * apport/apport/hookutils.py: add acpidump using built-in
    dump_acpi_tables.py. (LP: #1888352)
  * bin/oem-getlogs: add "-E" in the usage, since we'd like to talk to
    pulseaudio session and that need environment infomation. Also remove
    acpidump since we will use the one from hook.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Sep 2020 09:48:39 -0700

apport (2.20.11-0ubuntu27.8) focal; urgency=medium

  [Brian Murray]
  * Fix pep8 errors regarding ambiguous variables.

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Sun, 09 Aug 2020 13:43:11 +0200

apport (2.20.11-0ubuntu27.7) focal; urgency=medium

  * d/control: Offer real package alternatives along with x-terminal-server
    for apport-gtk and apport-kde (LP: #1881976)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Wed, 05 Aug 2020 10:55:40 +0200

apport (2.20.11-0ubuntu27.6) focal-security; urgency=medium

  * SECURITY UPDATE: information disclosure issue (LP: #1885633)
    - data/apport: also drop gid when checking if user session is closing.
    - CVE-2020-11936
  * SECURITY UPDATE: crash via malformed ignore file (LP: #1877023)
    - apport/report.py: don't crash on malformed mtime values.
    - CVE-2020-15701
  * SECURITY UPDATE: TOCTOU in core file location
    - data/apport: make sure the process hasn't been replaced after Apport
      has started.
    - CVE-2020-15702

