## apport 2.20.11-0ubuntu27.21

=== debian/changelog ===
apport (2.20.11-0ubuntu27.21) focal-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via core files
    - refactor privilege dropping and create core files in a well-known
      directory in apport/fileutils.py, apport/report.py, data/apport,
      test/test_fileutils.py, test/test_report.py,
      test/test_signal_crashes.py, test/test_ui.py.
    - use systemd-tmpfiles to create and manage the well-known core file
      directory in setup.py, data/systemd/apport.conf,
      debian/apport.install.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Oct 2021 07:48:31 -0400
