## apport 2.20.11-0ubuntu27.22

=== debian/changelog ===
apport (2.20.11-0ubuntu27.22) focal; urgency=medium

  * apport/ui.py: Error out when -w option is used on wayland (LP: #1952947).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 16 Feb 2022 11:32:21 -0500
