## apport 2.20.11-0ubuntu27.30

=== debian/changelog ===
apport (2.20.11-0ubuntu27.30) focal-security; urgency=medium

  * SECURITY REGRESSION: exception during core dump handling (LP: #2112466)
    - data/apport: Catch FileNotFoundError when trying to open /proc/<pid>.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 08 Jul 2025 13:15:40 -0300
