=== debian/changelog ===
apport (2.20.11-0ubuntu27.31) focal-security; urgency=medium

  * SECURITY REGRESSION: Type error during error handling (LP: #2117236)
    - data/apport: Use correct format specifier during error handling when
      /proc/<pid> is not found.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 29 Jul 2025 12:58:42 -0300
