## apport 2.20.11-0ubuntu50

=== debian/changelog ===
apport (2.20.11-0ubuntu50) groovy; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 20.10
    release.
  * data/apport: In the event that the crashing executable does not exist on
    disk any more the path name of the executable (passed by core) is appended
    with '(deleted)' because apport is currently using sys.argv for argument
    parsing there end up being too many arguments and apport crashes. This is
    fixed by adding handling for six arguments. (LP: #1899195)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Oct 2020 13:44:05 -0700

apport (2.20.11-0ubuntu49) groovy; urgency=medium

  * data/whoopsie-upload-all: Handle the case where the .crash file is newer
    than the .uploaded file by removing the .uploaded and .upload files
    thereby causing the crash to get submitted. (LP: #1891657)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Oct 2020 15:41:28 -0700

apport (2.20.11-0ubuntu48) groovy; urgency=medium

  * data/whoopsie-upload-all: When processing reports if a .crash file already
    has a corresponding .uploaded file which is newer than the .crash file
    remove the .crash file. This reduces the number of times the
    apport-autoreport.service runs. (LP: #1891657)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Sep 2020 14:49:27 -0700

apport (2.20.11-0ubuntu47) groovy; urgency=medium

  [ Tiago Stürmer Daitx ]
  * apport/ui.py: improve message when origin check fails as it can be
    caused by empty apt list - candidate is limited to dpkg and we can't
    tell where it came from. (LP: #1775219)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2020 15:02:17 -0700

apport (2.20.11-0ubuntu46) groovy; urgency=medium

  [ Brian Murray ]
  * apport/hookutils.py: call dump_acpi_tables.py with root_command_output
    thereby avoiding a PermissionError.
  * data/dump_acpi_tables.py: If the user cannot read the acpi tables don't
    try and print them. (LP: #1895865)
  * apport/hookutils.py: use root_command_output to gather dmesg rather than
    failing to include it. (LP: #1896095)

  [ YC Cheng ]
  * bin/oem-getlogs: add ucm2 directory. Per Hui Wang, ucm3 also
    use ucm2 directory.  (LP: #1893899)
  * apport/hookutils.py: add new pa-info command in pulseaudio
    pre requested by Hui Wang. (LP: #1893899)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2020 10:19:02 -0700

apport (2.20.11-0ubuntu45) groovy; urgency=medium

  [ YC Cheng ]
  * apport/hookutils.py: add acpidump using built-in dump_acpi_tables.py.
    (LP: #1888352)
  * bin/oem-getlogs: add "-E" in the usage, since we'd like to talk to
    pulseaudio session and that need environment infomation. Also remove
    acpidump since we will use the one from hook.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: Check for /var/run/reboot-required.pkgs and
    add it to the report as RebootRequiredPkgs.

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 Aug 2020 15:57:02 -0700

apport (2.20.11-0ubuntu44) groovy; urgency=medium

  * SECURITY UPDATE: information disclosure issue (LP: #1885633)
    - data/apport: also drop gid when checking if user session is closing.
    - CVE-2020-11936
  * SECURITY UPDATE: crash via malformed ignore file (LP: #1877023)
    - apport/report.py: don't crash on malformed mtime values.
    - CVE-2020-15701
  * SECURITY UPDATE: TOCTOU in core file location
    - data/apport: make sure the process hasn't been replaced after Apport
      has started.
    - CVE-2020-15702
  * apport/ui.py, test/test_ui.py: make sure a PID is specified when using
    --hanging (LP: #1876659)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jul 2020 09:10:30 -0400

apport (2.20.11-0ubuntu43) groovy; urgency=medium

  * d/control: Offer real package alternatives along with x-terminal-server
    for apport-gtk and apport-kde (LP: #1881976).

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Thu, 23 Jul 2020 08:52:46 +0200

apport (2.20.11-0ubuntu42) groovy; urgency=medium

  * Fix pep8 errors regarding ambiguous variables.

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 09:15:51 -0700

apport (2.20.11-0ubuntu41) groovy; urgency=medium

  [ Daniel Watkins ]
  * apport/crashdb_impl/launchpad.py: ensure that project will always be set
    in get_comment_url. (LP: #1884221)

  [ Brian Murray ]
  * data/dump_acpi_tables.py: update the output thanks to Alex Hung for the
    patch. (LP: #1883027)

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Jun 2020 16:02:46 -0700

apport (2.20.11-0ubuntu40) groovy; urgency=medium

  * Build-depend on python3-requests-unixsocket.

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Jun 2020 12:30:43 -0700

apport (2.20.11-0ubuntu39) groovy; urgency=medium

  * Add functionality to apport so that ubuntu-bug can be used to report a bug
    about a snap using information from the snap's contact field. Thanks to
    Lukas Märdian for the patch. (LP: #1861082)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Jun 2020 11:25:22 -0700

apport (2.20.11-0ubuntu38) groovy; urgency=medium

  * apport/report.py: If the user is not a part of any system groups then
    set UserGroups to 'N/A'. (LP: #1427600)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Jun 2020 15:32:17 -0700

apport (2.20.11-0ubuntu37) groovy; urgency=medium

  * apport/report.py: If the user is not a part of any system groups then
    set UserGroups to an empty string. (LP: #1427600)

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Jun 2020 10:19:45 -0700

apport (2.20.11-0ubuntu36) groovy; urgency=medium

  * Build-depend on pyflakes3, not obsolete pyflakes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 08:18:11 -0700

apport (2.20.11-0ubuntu35) groovy; urgency=medium

  * kde/apport-kde: Stop showing 'text' instead of a useful string. Thanks to
    Launchpad user Niklas Sombert for the patch. (LP: #1879150)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 May 2020 10:28:25 -0700

apport (2.20.11-0ubuntu34) groovy; urgency=medium


