=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  gir1.2-gtk-3.0 (>= 3.1.90),
  gir1.2-wnck-3.0,
  pycodestyle | pep8,
- pyflakes,
+ pyflakes3,
  xterm,
  dbus-x11,
  gvfs-daemons,
@@ -32,8 +32,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.0
-Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/focal
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/groovy/apport/ubuntu
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
