## apport 2.20.11-0ubuntu50.7

=== debian/changelog ===
apport (2.20.11-0ubuntu50.7) groovy-security; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.11-0ubuntu50.6) groovy; urgency=medium

  * data/general-hooks/ubuntu.py: tag bugs from Raspberry Pi images and RISCV
    images appropriately. (LP: #1920837)
  * apport/hookutils.py: spawn pkttyagent so that log files can be gathered as
    root in a non-graphical environment (LP: #1821415). Thanks to Iain Lane
    for the patch.
  * apport/hookutils.py: root access is needed to read the
    casper-md5check.json file so switch to using that. (LP: #1922937)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Apr 2021 12:45:36 -0700

apport (2.20.11-0ubuntu50.5) groovy-security; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2021 07:21:46 -0500

apport (2.20.11-0ubuntu50.3) groovy; urgency=medium

  * data/apport: only drop supplemental groups if we are root. (LP: #1906565)

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2020 12:51:33 -0800

apport (2.20.11-0ubuntu50.2) groovy; urgency=medium

  * data/apport: Modify the check for whether or not a process is running in
    the same namespace so that crashes from processes running protected in the
    system.slice are considered as being from the same namespace. (LP: #1870060)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Nov 2020 14:33:58 -0800

apport (2.20.11-0ubuntu50.1) groovy-security; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Nov 2020 15:03:57 -0500
