## apport 2.20.11-0ubuntu65

=== debian/changelog ===
apport (2.20.11-0ubuntu65) hirsute; urgency=medium

  * test/test_backend_apt_dpkg.py: libc6 recommends packages, some of which
    are not installed on buildds now, so switch to testing libc-bin which only
    has dependencies and is what the test is supposed to test.

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 Apr 2021 13:52:22 -0700

apport (2.20.11-0ubuntu64) hirsute; urgency=medium

  * apport/hookutils.py: Do not crash when deleting CasperMD5json from the
    report. (LP: #1923541)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 07:25:43 -0700

apport (2.20.11-0ubuntu63) hirsute; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 21.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Apr 2021 10:34:56 -0700

apport (2.20.11-0ubuntu62) hirsute; urgency=medium

  * apport/hookutils.py: spawn pkttyagent so that log files can be gathered as
    root in a non-graphical environment (LP: #1821415). Thanks to Iain Lane
    for the patch.
  * apport/hookutils.py: root access is needed to read the
    casper-md5check.json file so switch to using that. (LP: #1922937)
  * data/general-hooks/ubuntu.py: improving tagging of bugs from images we
    create so that they are tagged $arch-image and better identify Raspberry
    Pi devices (LP: #1920837). Thanks to Dave Jones for the patch.

 -- Brian Murray <brian@ubuntu.com>  Wed, 07 Apr 2021 13:14:04 -0700

apport (2.20.11-0ubuntu61) hirsute; urgency=medium

  * apport/hookutils.py: when creating KernLog with MAC information use
    root_command_output with dmesg. Missed when fixing LP #1896095.
  * data/general-hooks/ubuntu.py: tag bugs from Raspberry Pi images and RISCV
    images appropriately. (LP: #1920837)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Mar 2021 08:07:43 -0700

apport (2.20.11-0ubuntu60) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:45:45 +0100

apport (2.20.11-0ubuntu59) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:09:46 +0000

apport (2.20.11-0ubuntu58) hirsute; urgency=medium

  [ Shivaram Lingamneni ]
  * Remove dependency on python3-requests thereby reducing memory usage of
    apport.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 Feb 2021 09:39:13 -0800

apport (2.20.11-0ubuntu57) hirsute; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Feb 2021 12:42:44 -0800

apport (2.20.11-0ubuntu56) hirsute; urgency=medium

  * test/test_backend_apt_dpkg.py: switch to using packages from the
    apport-hackers PPA which are less likely to be deleted by random house
    keeping.
  * apport/hookutils.py: change the default value of CasperMD5CheckResult to
    unknown as that more accurately reflects the case where the file does not
    exist. Thanks to Walter Lapchynski for the fix.

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Jan 2021 15:34:23 -0800

apport (2.20.11-0ubuntu55) hirsute; urgency=medium

  * data/apport: only drop supplemental groups if the user is root.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2020 14:40:29 -0800

apport (2.20.11-0ubuntu54) hirsute; urgency=medium

  * Fix for Python 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Nov 2020 17:18:23 +0100

apport (2.20.11-0ubuntu53) hirsute; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Nov 2020 09:41:34 -0500

apport (2.20.11-0ubuntu52) hirsute; urgency=medium

  * apport/report.py, test/test_report.py, test/test_ui.py,
    test/test_ui_gtk.py: handle the fact that gdb now returns a different
    error message for truncated core files and patch out add_gdb_info from a
    bunch of tests which don't need to run it.

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Nov 2020 12:46:41 -0800

apport (2.20.11-0ubuntu51) hirsute; urgency=medium

  * data/apport: Modify the check for whether or not a process is running in
    the same namespace so that crashes from processes running protected in the
    system.slice are considered as being from the same namespace. (LP: #1870060)
  * etc/apport/crashdb.conf: Enable Launchpad crash reports for 21.04.

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Nov 2020 13:40:41 -0800
