## apport 2.20.11-0ubuntu68

=== debian/changelog ===
apport (2.20.11-0ubuntu68) impish; urgency=medium

  * data/package-hooks/source_ubiquity.py: confirm that the key exists in the
    report before trying to manipulate it. (LP: #1929292)
  * backends/packaging-apt-dpkg.py: check to see if there is a different
    package which provides the dependency.
  * test/test_report.py: with glibc 2.34 abort tests started failing as the
    backtrace didn't have a program counter value in frame 1 so check frame 1
    or frame 2.

 -- Brian Murray <brian@ubuntu.com>  Thu, 19 Aug 2021 16:32:29 -0700

apport (2.20.11-0ubuntu67) impish; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.11-0ubuntu66) impish; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for impish.

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 May 2021 15:39:35 -0700
