## apport 2.20.11-0ubuntu70

=== debian/changelog ===
apport (2.20.11-0ubuntu70) impish; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 21.10
    release.
  * debian/tests/upstream-system: Set /proc/sys/kernel/core_uses_pid to 0 as
    that's the easiest way to fix tests that expect the core file to be named
    core and not core.PID

 -- Brian Murray <brian@ubuntu.com>  Mon, 04 Oct 2021 13:14:35 -0700
