## apport 2.20.11-0ubuntu71.1

=== debian/changelog ===
apport (2.20.11-0ubuntu71.1) impish; urgency=medium

  * apport/ui.py: Error out when -w option is used on wayland (LP: #1952947). 

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 16 Feb 2022 12:16:27 -0500
