=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
  dh-translations,
- dh-systemd,
  gdb,
  python3-gi,
  gir1.2-glib-2.0 (>= 1.29.17),
@@ -12,7 +11,6 @@
  python3-all
 Build-Depends-Indep: python3-distutils-extra (>= 2.24~),
  python3-apt (>= 0.7.9),
- python3-requests-unixsocket,
  dh-python,
  intltool,
  xvfb,
@@ -32,7 +30,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/groovy/apport/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/hirsute/apport/ubuntu
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
@@ -78,7 +76,6 @@
  python3-apt (>= 0.7.9),
  python3-httplib2,
  python3-problem-report (>= 0.94),
- python3-requests-unixsocket,
  lsb-release,
  python3-launchpadlib,
  ${misc:Depends}
