## apport 2.20.11-0ubuntu79

=== debian/changelog ===
apport (2.20.11-0ubuntu79) jammy; urgency=medium

  * kde/apport-kde: when displaying a progress dialog ensure that we are using
    an integer. (LP: #1964405)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Mar 2022 10:41:47 -0800

apport (2.20.11-0ubuntu78) jammy; urgency=medium

  [ Olivier Gayot ]
  * Expect whoopsie to be started using path-based activation.
  * Pass timeout option to apport-autoreport so that whoopsie has time to
    upload all reports.
  * Use timer-based activation for apport-autoreport in addition to path-based
    activation (on modification of /var/crash).
  * Some code cleanup in data/whoopsie-upload-all.
  * Use unbuffered logging in data/whoopsie-upload-all.
  * Touch the /var/crash directory in data/whoopsie-upload-all so that
    whoopsie activates when needed.
  * Stop removing .crash files after they are successfully uploaded by
    whoopsie.

  [ Brian Murray ]
  * When collecting information about a snap gather some additional details,
    thanks to Olivier Tilloy for the idea. (LP: #1960964)
  * Update the recommended version of whoopsie for apport-noui.

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Feb 2022 17:13:48 -0800

apport (2.20.11-0ubuntu77) jammy; urgency=medium

  * apport/ui.py: Error out when -w option is used on wayland (LP: #1952947).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 15 Feb 2022 10:10:59 -0500

apport (2.20.11-0ubuntu76) jammy; urgency=medium

  * data/package-hooks/ubuntu-desktop-installer.py: Add in a new package hook
    which allows one to report bugs about the ubuntu-desktop-installer to the
    appropriate project. Thanks to Sebastien Bacher for this hook.
  * test/test_crashdb.py: convert the number to an integer before the truncate
    call.
  * test/test_backend_apt_dpkg.py: switch to using apt-helper instead of
    apt-key to import the ddebs and ports.ubuntu.com keys.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Jan 2022 09:58:45 -0800

apport (2.20.11-0ubuntu75) jammy; urgency=medium

  * bin/apport-retrace: For releases which gdb doesn't search in the
    debug-file-directory for .gnu_debugaltlink create a symlink from the
    host's .dwz to the machine specific one to work around the issue.
    (LP: #1818918)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Dec 2021 20:17:57 -0800

apport (2.20.11-0ubuntu74) jammy; urgency=medium

  [ Sebastien Bacher ]
  * apport/ui.py: preserve XDG_DATA_DIRS for system reports, it's necessary
    to be able to find a webbrowser installed from a snap like firefox.
    (LP: #1951214)

 -- Brian Murray <brian@ubuntu.com>  Wed, 01 Dec 2021 14:12:32 -0800

apport (2.20.11-0ubuntu73) jammy; urgency=medium

  * test/test_report.py: the abort tests are failing again as the backtrace
    didn't have a program counter value in frame 1 or 2 so also check frame 3.

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Nov 2021 11:13:17 -0700

apport (2.20.11-0ubuntu72) jammy; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for jammy.

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Oct 2021 05:35:34 -0700
